Name:           ucl
Version:        1.03
Release:    1%{?dist}
Summary:        Portable lossless data compression library

License:        GPL-2.0-or-later
URL:            http://www.oberhumer.com/opensource/ucl/
Source0:        http://www.oberhumer.com/opensource/ucl/download/%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
UCL is a portable lossless data compression library written in ANSI C.
UCL implements a number of compression algorithms that achieve an
excellent compression ratio while allowing *very* fast decompression.
Decompression requires no additional memory.

%package        devel
Summary:        UCL development files
Requires:       %{name} = %{version}-%{release}

%description    devel
%{summary}.


%prep
%setup -q


%build
CPPFLAGS="$RPM_OPT_FLAGS $CPPFLAGS -std=c90 -fPIC"
export CPPFLAGS
%configure --disable-dependency-tracking --enable-shared --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm %{buildroot}%{_libdir}/libucl.la





%files
%doc COPYING NEWS README THANKS TODO
%{_libdir}/libucl.so.*

%files devel
%{_includedir}/ucl/
%{_libdir}/libucl.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.03-1
- initial build
